Ubuntu 14.04 και amd

...hardware-drivers για desktops & laptops

Συντονιστής: adem1

Ubuntu 14.04 και amd

Δημοσίευσηαπό teopan » 11 Σεπ 2016, 20:59

Γεια σας και καλως σας βρηκα στο φορουμ. :clap:
Αγορασα προσφατα ενα laptop lenovo z51-70 με hybrid καρτα γραφικων Intel hd 5500 και την amd r9 m375 4gb. Εγκατεστησα το ubuntu 16.04 και επειδη δεν υπηρχε support για την καρτα μου κατεβηκα στα 14.04. Πηγα να εγκαταστησω τον fglrx driver ομως δε γινοταν η εγκατασταση καθως η εκδοση του xorg server που ειναι συμβατος ειναι 1.10 ενω η δικια μου ειναι 1.18. Μετα πηγα να εγαταστησω τον driver απο τη σελιδα της amd παλι τιποτα τα ιδια μου βγαζε. :wtf:
Ετσι παρεμεινα με τους open source drivers της radeon (xserver-xorg-video-ati) οι οποιοι κανουν μια χαρα τη δουλεια τους και το συστημα εντοπιζει κανονικα και τις δυο καρτες γραφικων.
Η ερωτηση μου ειναι πως μπορω να "αλλαξω" την καρτα γραφικων της intel με αυτην της amd? Για αρχη προσπαθησα να κανω την αλλαγη απο τα bios ομως δεν μου βγαζει τετοια επιλογη. Μετα επεσα πανω σε ενα αρθρο: https://help.ubuntu.com/community/HybridGraphics. Ακολουθησα τις οδηγιες ομως μολις κανω επανεκκινηση τον υπολογιστη μου εβγαζε κανονικα το login page και μολις πατουσα τον κωδικο μου προσβασης με ξαναπετουσε στο login page χωρις να μπορω να μπω. Μπορει καποιος να με βοηθησει και να μου πει πως μπορω να χρησιμοποιησω την amd καρτα γραφικων? :?: :?:
Σας ευχαριστω.
teopan
babeTUX
babeTUX
 
Δημοσιεύσεις: 1
Εγγραφή: 11 Σεπ 2016, 20:36
Εκτύπωση

Re: Ubuntu 14.04 και amd

Δημοσίευσηαπό abramis » 11 Σεπ 2016, 21:29

κανονικά είναι ο 1.17 και ο 4.2 kernel της 15.10, μάλλον έβαλες την 14.04 την παλιά κι όχι την 14.04.3 που χω γω στην υπογραφή μου με fglrx. τεσπα όπως και να χει η υποστήριξη του κλειστού οδηγού μέχρι εδώ φτάνει, γιαυτο έχω μείνει κι εγώ εδώ. δεν νομίζω ότι γίνεται κάτι με τον κλειστό για σένα λοιπόν, αφού στην 1.17 έκδοση είναι η τελευταία που υποστηρίζεται. έχεις 2 επιλογές:
ή μένεις στην 14.04 και κάνεις install αυτό
Κώδικας: Επιλογή όλων
sudo apt-get install --install-recommends linux-generic-lts-xenial xserver-xorg-core-lts-xenial xserver-xorg-lts-xenial xserver-xorg-video-all-lts-xenial xserver-xorg-input-all-lts-xenial libwayland-egl1-mesa-lts-xenial libgl1-mesa-glx-lts-xenial libgl1-mesa-glx-lts-xenial:i386 libglapi-mesa-lts-xenial:i386 

από εδώ το δα https://wiki.ubuntu.com/Kernel/LTSEnablementStack
ή κάνεις φορματ και πάς πάλι σε 16.04.
όπως και να χει και με τις 2 περιπτώσεις θα χεις την 1.18 έκδοση του xorg όπως λέει εδώ https://launchpad.net/ubuntu/xenial/+source/xorg-server . τώρα είδα κάτι για αυτό που λες εδώ http://askubuntu.com/questions/791249/a ... untu-16-04 , λέει μια μεθοδολογία στο 1ο σχόλιο για το πως να χρησιμοποιήσει την amd gpu, επίσης στη λίστα που βγάζει φαίνεται και η υποστήριξη της κάρτας σου HAWAII Radeon R9 series
1 Γνώσεις Linux: Μέτρια┃ Προγραμματισμού: Μέτρια ┃ Αγγλικών: Μέτρια
2 Ubuntu 14.04 trusty 4.4.0-59-generic 64bit (el_GR.UTF-8, GNOME gnome), Windows 7
3 Intel Core2 Duo CPU E8400 3.00GHz ‖ RAM 3952 MiB ‖ ECS G31T-M
4 Advanced Micro Devices, Inc. [AMD/ATI] Turks PRO [Radeon HD 6570/7570/8550] [1002:6759] {radeon}
5 eth0: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 01)
laptop:
Spoiler: show
Ubuntu 16.10 yakkety 4.8.0-34-generic 64bit(GNOME gnome),Windows 10, Lenovo B50-80, Intel Celeron 3205U @ 1.50GHz, RAM 7902 MiB, Intel Broadwell-U Integrated Graphics [8086:1606] {i915}
Άβαταρ μέλους
abramis
seniorTUX
seniorTUX
 
Δημοσιεύσεις: 702
Εγγραφή: 02 Αύγ 2011, 03:01
Τοποθεσία: Θεσ/νίκη
Launchpad: goldmetal
Εκτύπωση


  • ΣΧΕΤΙΚΑ ΘΕΜΑΤΑ
    ΑΠΑΝΤΗΣΕΙΣ
    ΠΡΟΒΟΛΕΣ
    ΣΥΓΓΡΑΦΕΑΣ

Επιστροφή στο Desktops & Laptops

Μέλη σε σύνδεση

Μέλη σε αυτή τη Δ. Συζήτηση: Δεν υπάρχουν εγγεγραμμένα μέλη και 3 επισκέπτες